# $Revision: 1.25 $, $Date: 2008/07/27 22:40:47 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	LWP
%define		pnam	Parallel
Summary:	LWP::Parallel - module for parallel downloading
Summary(pl.UTF-8):	LWP::Parallel - moduł do równoległego pobierania
Name:		perl-LWP-Parallel
Version:	2.57
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/ParallelUserAgent-%{version}.tar.gz
# Source0-md5:	7a1c42fbeee403606063f9ea7c691ed1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
ParallelUserAgent (or PUA for short) is an extension of the existing
libwww-5.x distribution.  It allows you to connect to download several
Web pages in _parallel_, without having to request each page one after
the other.

%description -l pl.UTF-8
ParallelUserAgent (w skrócie PUA) to rozszerzenie istniejącego pakietu
libwww-5.x. Pozwala na połączenie i ściąganie kilku stron WWW
_równolegle_, bez konieczności żądania kolejnej strony po ściągnięciu
poprzedzniej.

%prep
%setup -q -n %{pnam}UserAgent-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.SSL
%{perl_vendorlib}/LWP/*.pm
%{perl_vendorlib}/LWP/Parallel
%{_mandir}/man3/LWP*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-LWP-Parallel.spec,v $
Revision 1.25  2008/07/27 22:40:47  arekm
- release 2

Revision 1.24  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.22  2004/12/01 11:19:34  radek
- standarized

Revision 1.21  2004/11/03 22:30:29  paladine
- formatting

Revision 1.20  2004/05/06 18:20:25  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.18  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.17  2004/03/06 19:33:12  adamg
- updated to 2.57

Revision 1.16  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.15  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.14  2003/06/12 23:11:08  misi3k
- updated to 2.56

Revision 1.13  2003/05/28 13:00:45  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/15 00:16:44  ankry
- rel++ (to be higher than in RA-branch)

Revision 1.10  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 19:37:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.7  2003/02/23 01:04:53  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 3

Revision 1.6  2003/02/18 15:35:10  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/12/26 13:49:06  qboosh
- pl description

Revision 1.4  2002/12/25 14:38:17  radek
- provided informative summaries/descriptions
- fixed license field
- removed tests from _examplesdir
- removed Bundle::*
- release 2

Revision 1.3  2002/12/03 15:51:12  qboosh
- typo

Revision 1.2  2002/12/02 21:54:04  djrzulf
- fixed one thing (rm -rf RPM_BUILD_ROOT) ...
- required by irssi-0.8.6,

Revision 1.1  2002/12/02 21:47:09  djrzulf
- i think, that it'll be better solution :)

Revision 1.1  2002/12/02 21:20:04  djrzulf
- initial PLD release
